%****e* MUnit-API/Errors
%
% NAME
%   MUnit Errors -- errror message ids.
%
% DESCRIPTION
%   MATLAB error message ids used in MUnit.
%
% TOOLBOX
%    munit/munit
%
% CATEGORY
%
%***
%
%****e* Errors/MUNIT:MissingRequiredArgument
%
% NAME
%   MUNIT:MissingRequiredArgument -- required argument missing.
%
% DESCRIPTION
%   MUNIT:MissingRequiredArgument indicates that a required argument
%   is missing from the argument list to the function call.
%***
%
%****e* Errors/MUNIT:InvalidArgumentType
%
% NAME
%   MUNIT:InvalidArgumentType  -- Invalid argument type.
%
% DESCRIPTION
%   MUNIT:InvalidArgumentType indicates that the argument to
%   function has invalid data type.
%***
%
%****e* Errors/MUNIT:UnknownTest
%
% NAME
%   MUNIT:UnknownTest  -- Test function not found.
%
% DESCRIPTION
%   MUNIT:UnknownTest indicates that a test specified by a test function
%   handle (@tfh) or alternatively by the file test_location does not 
%   exist or could not be found.
%***
%
%****e* Errors/MUNIT:UnknownTestCase
%
% NAME
%   MUNIT:UnknownTestCase  -- Test case not found.
%
% DESCRIPTION
%   MUNIT:UnknownTestCase indicates that a test case specified 
%   by a file name, function handle, or test case struct does not
%   exist or could not be found.
%***
%
%****e* Errors/MUNIT:UnknownTestSuite
%
% NAME
%   MUNIT:UnknownTestSuite  -- Test suite not found.
%
% DESCRIPTION
%   MUNIT:UnknownTestSuite indicates that a test suite specified 
%   by a file name, function handle, or test suite struct does not
%   exist or could not be found.
%***
%
%****e* Errors/MUNIT:AssertionFailedError
%
% NAME
%   MUNIT:AssertionFailedError -- assertion failed.
%
% DESCRIPTION
%   MUNIT:AssertionFailedError indicates that an assertion has
%   failed.
%***

% AUTHOR
%   Charlie Cornish
%
% CREATION DATE
%
%
% COPYRIGHT
%
%
% CREDITS
%
%
% REVISION
%   $Revision: 82 $
%
%***

%   $Id: MUnit_Errors.m 82 2005-02-15 01:01:44Z ccornish $
